Package org.eclipse.net4j.util.container.delegate

# Interface IContainerSet<E>

All Superinterfaces:
  `Collection<E>`, `IContainer<E>`, `IContainerCollection<E>`, `INotifier`, `Iterable<E>`, `Set<E>`

All Known Subinterfaces:
  `IContainerSortedSet<E>`

All Known Implementing Classes:
  `ContainerSet`, `ContainerSortedSet`

public interface IContainerSet<E> extends IContainerCollection<E>, Set<E>
A `container` that is a `Set`.

Author:
  Eike Stepper
See Also:
  - `SetContainer`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`Set<E>`
`getDelegate()`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getDelegate

Set<E> getDelegate()

Specified by:
  `getDelegate` in interface `IContainerCollection<E>`